|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes
gameplay::ScriptTarget::ScriptEntry Struct Reference

`#include <ScriptTarget.h>`

List of all members.

## Public Member Functions

| ScriptEntry (Script *script)

## Public Attributes

Script * | script
ScriptEntry * | next
ScriptEntry * | prev

## Detailed Description

Stores a Script that is registered for a ScriptTarget.

## Constructor & Destructor Documentation

gameplay::ScriptTarget::ScriptEntry::ScriptEntry | ( | Script * | script | ) | `[inline]`

Constructor.

Parameters:

  script | The script to create an entry for.

## Member Data Documentation

ScriptEntry* gameplay::ScriptTarget::ScriptEntry::next

The next script entry.

ScriptEntry* gameplay::ScriptTarget::ScriptEntry::prev

The previous script entry.

Script* gameplay::ScriptTarget::ScriptEntry::script

The script.

All Classes Functions Variables Typedefs Enumerations Enumerator